* {
  font-size: 14px;
}

html,
body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  background-color: #f0f0f0;
}

body {
  display: flex;
  flex-direction: row;
  height: 100vh;
}

.container {
  border-right: 1px solid black;
  display: flex;
  flex-direction: column;
  padding: 0;
  overflow: hidden;
}

.top-bar {
  background-color: royalblue;
  text-align: center;
  padding: 22px 26px;
  box-sizing: border-box;
  flex-shrink: 0;
  border-bottom: 1px solid black;
}

.top-bar h1 {
  font-size: 25px;
  padding-bottom: 4px;
}

.top-bar img {
  width: 36px;
}

.left-bar {
  padding: 0;
  box-sizing: border-box;
  overflow-y: scroll;
}

.left-bar::-webkit-scrollbar {
  -webkit-appearance: none;
  background-color: #ddd;
}

.left-bar::-webkit-scrollbar-thumb {
  background-color: rgba(0, 0, 0, .5);
  box-shadow: 0 0 1px rgba(255, 255, 255, 1);
}

.main-content {
  display: flex;
  align-items: center;
  background-position: 0px 0px, 10px 10px;
  background-size: 20px 20px;
  background-image: linear-gradient(45deg, #eee 25%, transparent 25%, transparent 75%, #eee 75%, #eee 100%), linear-gradient(45deg, #eee 25%, white 25%, white 75%, #eee 75%, #eee 100%);

  padding: 0;
  box-sizing: border-box;
  flex: 1;
  overflow: auto;
}


div.section {
  padding: 26px;
  border-bottom: 1px solid black;
}

div.info {
  background: repeating-linear-gradient(45deg,
      rgba(0, 0, 0, 0.01),
      rgba(0, 0, 0, 0.01) 3px,
      rgba(0, 0, 0, 0.04) 3px,
      rgba(0, 0, 0, 0.04) 6px)
}

div.export {
  background-color: #222;
  color: #fff;
}

canvas {
  outline: none;
  border: none;
  margin: auto;
  display: block;
}

#previewOutput {
  padding: 0;
  border-bottom: none;
}

h1,
h2,
h3,
h4 {
  padding: 0;
  margin: 0;
}

h2 {
  font-size: 22px;
}

h4 {
  margin-top: 16px;
  margin-bottom: 0;
}

span {
  font-size: 12px;
  color: #666666;
  padding-bottom: 16px;
  font-style: italic;
  display: block;
  text-align: justify;
  width: 265px;
}

span.nopad {
  padding-bottom: 0;
}

hr {
  margin: 24px 0 0 0;
  border-top: 1px solid black;
}

.margin-bottom {
  margin-bottom: 16px;
}

select {
  margin-top: 3px;
}

input[type='text'],
input[type='number'] {
  width: 60px;
  margin: 2px 0px;
}

input[type='file'] {
  margin-bottom: 0px;
}

button,
input::file-selector-button {
  margin: 2px 1px;
  padding: 2px 6px;
  min-width: 30px;
  background-color: royalblue;
  color: white;
  border: 1px solid black;
  border-radius: 3px;
  user-select: none;
  cursor: pointer;
  transition: 0.3s;
}

input::file-selector-button {
  margin-right: 6px;
}

button:hover,
input::file-selector-button:hover {
  background-color: white;
  color: black;
}